List submission packages
curl --request GET \
--url https://api.alpic.ai/v1/projects/{projectId}/submissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpic.ai/v1/projects/{projectId}/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpic.ai/v1/projects/{projectId}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"environmentId": "<string>",
"auditId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"platform": "claudeai",
"formData": {
"serverUrl": "<string>",
"name": "<string>",
"slug": "<string>",
"oneLiner": "<string>",
"description": "<string>",
"categories": [
"Productivity"
],
"iconUrl": "<string>",
"documentation": "<string>",
"support": "<string>",
"privacyPolicy": "<string>",
"screenshots": [
{
"prompt": "<string>",
"url": "<string>"
}
],
"primaryUseCases": "<string>",
"connectionRequirements": "<string>",
"readWriteCapabilities": "read_only",
"companyName": "<string>",
"companyWebsite": "<string>",
"primaryContactName": "<string>",
"primaryContactEmail": "<string>",
"primaryContactRole": "<string>",
"anthropicPointOfContact": "<string>",
"authentication": "oauth_dcr",
"partialAuth": true,
"apiOwnership": "first_party",
"personalHealthData": true,
"sponsoredContent": true,
"testInstructions": "<string>",
"selfTested": true,
"policyAcknowledgements": [
"I have read and understand the MCP Directory developer guidelines."
],
"additionalNotes": "<string>"
},
"urlVerification": {
"verifiedAt": "2023-11-07T05:31:56Z",
"results": [
{
"field": "privacyPolicyUrl",
"url": "<string>",
"outcome": "pass",
"reason": "<string>",
"concerns": [
"<string>"
],
"scrapedWith": "fetch"
}
]
},
"prefillSnapshot": {
"serverUrl": "<string>",
"name": "<string>",
"slug": "<string>",
"oneLiner": "<string>",
"description": "<string>",
"categories": [
"Productivity"
],
"iconUrl": "<string>",
"documentation": "<string>",
"support": "<string>",
"privacyPolicy": "<string>",
"screenshots": [
{
"prompt": "<string>",
"url": "<string>"
}
],
"primaryUseCases": "<string>",
"connectionRequirements": "<string>",
"readWriteCapabilities": "read_only",
"companyName": "<string>",
"companyWebsite": "<string>",
"primaryContactName": "<string>",
"primaryContactEmail": "<string>",
"primaryContactRole": "<string>",
"anthropicPointOfContact": "<string>",
"authentication": "oauth_dcr",
"partialAuth": true,
"apiOwnership": "first_party",
"personalHealthData": true,
"sponsoredContent": true,
"testInstructions": "<string>",
"selfTested": true,
"policyAcknowledgements": [
"I have read and understand the MCP Directory developer guidelines."
],
"additionalNotes": "<string>"
}
}
]{
"defined": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "Not Found",
"data": "<unknown>"
}submissions
List submission packages
List the submission packages of a project, grouped by directory and most recently updated first, optionally narrowed to one environment or one directory
GET
/
v1
/
projects
/
{projectId}
/
submissions
List submission packages
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the project
Query Parameters
Filter by environment ID
The directory the package targets: chatgpt for the OpenAI App Directory, claudeai for the Anthropic MCP Directory
Available options:
chatgpt, claudeai Response
The list of submission packages
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?